EulerOS 2.0 SP1 : squid (EulerOS-SA-2017-1017)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote EulerOS host is missing a security update.

Description :

According to the version of the squid packages installed, the EulerOS
installation on the remote host is affected by the following
vulnerability :

- It was found that squid did not properly remove
connection specific headers when answering conditional
requests using a cached request. A remote attacker
could send a specially crafted request to an HTTP
server via the squid proxy and steal private data from
other connections. (CVE-2016-10002)

Note that Tenable Network Security has extracted the preceding
description block directly from the EulerOS security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://www.nessus.org/u?85b3867e

Solution :

Update the affected squid package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 3.7
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Huawei Local Security Checks

Nessus Plugin ID: 99863 ()

Bugtraq ID:

CVE ID: CVE-2016-10002

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now